# Class OleParameterDescription

java.lang.Object
org.eclipse.swt.ole.win32.OleParameterDescription

public class OleParameterDescription extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`short`
`flags`
`String`
`name`
`short`
`type`

## Constructor Summary

Constructors
Constructor
Description
`OleParameterDescription()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### flags

public short flags

### type

public short type

## Constructor Details

### OleParameterDescription

public OleParameterDescription()